Kam se poděla Tracy 3.0 ???

před rokem

motorcb
Člen | 525
+
0
-

V composeru jsem používal Tracy 3.0

"tracy/tracy": "^3.0",
"minimum-stability": "dev",

Bohužel. tato větev již neexistuje. Kam se poděla? Jakou větev použít?

Díky

před rokem

Lumeriol
Generous Backer | 15
+
0
-

motorcb napsal(a):

V composeru jsem používal Tracy 3.0

"tracy/tracy": "^3.0",
"minimum-stability": "dev",

Bohužel. tato větev již neexistuje. Kam se poděla? Jakou větev použít?

Díky

Momentálně je otevřena větev 2.6 (která z nějakého důvodu nahradila verzi 3.0), případně je možné použít přímo dev-master.

před rokem

hrach
Člen | 1816
+
-1
-

@DavidGrudl to bude chyba, ne?

před rokem

David Grudl
Nette Core | 6944
+
0
-

Není to chyba, další Tracy bude 2.6, budou v ní oproti 2.5 dvě hoooodně cool novinky, ale v podstatě drobnosti, kvůli kterým není potřeba zvedat major verzi.

Vlastně bych totéž nejraději udělal i v případě Latte, kde také není vůbec nic nového, ale tam už je tagnutá 3.0.0-RC, což se obávám by mohlo způsobit nějaké komplikace…

před rokem

hrach
Člen | 1816
+
-2
-

I odstraneni dev verze zpusobuje komplikace, protoze jsme na to upravili komponenty a vydali verze. Achjo.

před rokem

David Grudl
Nette Core | 6944
+
0
-

Aha. Tak já vydám verzi 2.6 a znovu do masteru vrátím branch 3.0, kterážto vyjde až na to bude vhodná chvíle.

před rokem

hrach
Člen | 1816
+
-1
-

Koukam, ze nastesti u nextras dbal, ktery ma uz stable tag, tak je to jen dev-dependency, tak to by nebyl takovy problem. Otazka je, kde to maji ostatni. Pro jednou se s tim da zit, ale bylo by se dobry tomu vyvarovat.

před rokem

David Grudl
Nette Core | 6944
+
+1
-

Tak nepředpokládám, že by někdo dával do stable tagu závislost na master verzi jiného balíku.

před rokem

Felix
Nette Core | 971
+
+1
-

hrach napsal(a):

I odstraneni dev verze zpusobuje komplikace, protoze jsme na to upravili komponenty a vydali verze. Achjo.

Spolehat na dev verzi neni zrovna moudre reseni. Ale celkem chapu, ze jsi se chtel pripravit. V tomhle pripade to ale nevyslo, no..

před 12 měsíci

Rosnička
Člen | 2
+
0
-

Ohledně té nové 2.6 verze používání strict_types není major změna? Jak to bylo třeba u nette/utils nebo nette/caching?

před 12 měsíci

David Grudl
Nette Core | 6944
+
0
-

Není, protože se to nijak nedotkne uživatele té knihovny.

před 12 měsíci

Rosnička
Člen | 2
+
0
-

Tak ve chvíli, kdy je v Debugger::enable najednou nastaven 3 parametr na string, tak se to uživatele knihovny dotýká zásadně. Ale to už asi není téma sem, ale na bug issue.

před 12 měsíci

David Grudl
Nette Core | 6944
+
0
-

To je normální bug, se strict types nijak nesouvisí.